%define		hordeapp turba
#
%include	/usr/lib/rpm/macros.php
Summary:	Turba - Address book for IMP
Summary(pl.UTF-8):	Turba - Książka adresowa dla IMP-a
Name:		horde-%{hordeapp}
Version:	2.3.6
Release:	4
License:	ASL
Group:		Applications/WWW
Source0:	ftp://ftp.horde.org/pub/turba/%{hordeapp}-h3-%{version}.tar.gz
# Source0-md5:	40fe71bc9ca86b88b70fb006b7f61598
Source1:	%{hordeapp}-apache.conf
Source2:	%{hordeapp}-httpd.conf
Source3:	%{hordeapp}-trans.mo
Patch0:		%{hordeapp}-search.patch
URL:		http://www.horde.org/turba/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.304
Requires(triggerpostun):	sed >= 4.0
Requires:	horde >= 3.2
Requires:	php(core) >= 4.1.0
Requires:	php(xml)
Requires:	webapps
Suggests:	php-pear-Net_LDAP
Obsoletes:	horde-addons-turba
Obsoletes:	turba
Conflicts:	apache-base < 2.4.0-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_pear	Horde.* Net/IMSP.php Net/IMSP/Utils.php

%define		hordedir	/usr/share/horde
%define		_appdir		%{hordedir}/%{hordeapp}
%define		schemadir	/usr/share/openldap/schema
%define		_webapps	/etc/webapps
%define		_webapp		horde-%{hordeapp}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
Turba is a complete basic contact management application. SQL, LDAP,
and Horde Preferences backends are available and are well tested. You
can define the fields in your address books in a very flexible way,
just by changing the config files. You can import/export from/to Pine,
Mulberry, CSV, TSV, and vCard contacts. You can create distribution
lists from your addressbooks, which are handled transparently by IMP
and other Horde applications. And there are Horde API functions to add
and search for contacts.

%description -l pl.UTF-8
Turba to kompletna aplikacja do podstawowego zarządzania kontaktami.
Dostępne i dobrze przetestowane są backendy ustawień SQL, LDAP i
Horde. Można definiować pola książki adresowej w bardzo elastyczny
sposób, po prostu zmieniając pliki konfiguracyjne. Kontakty można
importować/eksportować z/do Pine, Mulberry, CSV, TSV i vCard. Można
tworzyć listy dystrybucyjne z książek adresowych, które są obsługiwane
w sposób przezroczysty przez IMP-a i inne aplikacje Horde. Są także
funkcje API Horde do dodawania i wyszukiwania kontaktów.

%package -n openldap-schema-rfc2739
Summary:	LDAP schema for freebusy information
Summary(pl.UTF-8):	Schemat LDAP do informacji freebusy
Group:		Networking/Daemons
Requires(post,postun):	sed >= 4.0
Requires:	openldap-servers

%description -n openldap-schema-rfc2739
This package contains rfc2739.schema for openldap.

To store freebusy information in the LDAP directory, you'll need the
rfc2739.schema from <http://www.whitemiceconsulting.com/node/42>.

%description -n openldap-schema-rfc2739 -l pl.UTF-8
Ten pakiet zawiera schemat rfc2739.schema dla openldap.

Aby przechowywać informacje freebusy w bazie LDAP potrzebny jest
schemat rfc2739.schema z <http://www.whitemiceconsulting.com/node/42>.

%prep
%setup -q -n %{hordeapp}-h3-%{version}
%patch0 -p1

rm */.htaccess
for i in config/*.dist; do
	mv $i config/$(basename $i .dist)
done
# considered harmful (horde/docs/SECURITY)
rm -f test.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/docs}

cp -a *.php $RPM_BUILD_ROOT%{_appdir}
cp -a config/* $RPM_BUILD_ROOT%{_sysconfdir}
echo '<?php ?>' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/conf.php.bak
cp -a addressbooks js lib locale templates themes $RPM_BUILD_ROOT%{_appdir}
cp -a docs/CREDITS $RPM_BUILD_ROOT%{_appdir}/docs

ln -s %{_sysconfdir} $RPM_BUILD_ROOT%{_appdir}/config
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

install %{SOURCE3} $RPM_BUILD_ROOT%{_appdir}/locale/pl_PL/LC_MESSAGES/turba.mo

install -d $RPM_BUILD_ROOT%{schemadir}
install scripts/ldap/rfc2739.schema $RPM_BUILD_ROOT%{schemadir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/conf.php.bak ]; then
	install /dev/null -o root -g http -m660 %{_sysconfdir}/conf.php.bak
fi

if [ "$1" = 1 ]; then
%banner %{name} -e <<EOF
IMPORTANT:
If you are installing for the first time, You may need to
create the Turba database tables. Look into directory
%{_docdir}/%{name}-%{version}/sql
to find out how to do this for your database.

For LDAP backend you need php-ldap package.
If you want to store freebusy information in LDAP database, also
install openldap-schema-rfc2739 package.

EOF
fi

%post -n openldap-schema-rfc2739
%openldap_schema_register %{schemadir}/rfc2739.schema
%service -q ldap restart

%postun -n openldap-schema-rfc2739
if [ "$1" = "0" ]; then
	%openldap_schema_unregister %{schemadir}/rfc2739.schema
	%service -q ldap restart
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache-base
%webapp_unregister httpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc LICENSE README docs/* scripts/*.reg scripts/ldap scripts/sql
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/conf.php
%attr(660,root,http) %config(noreplace) %ghost %{_sysconfdir}/conf.php.bak
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/[!c]*.php
%attr(640,root,http) %{_sysconfdir}/conf.xml

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/addressbooks
%{_appdir}/config
%{_appdir}/docs
%{_appdir}/js
%{_appdir}/lib
%{_appdir}/locale
%{_appdir}/templates
%{_appdir}/themes

%files -n openldap-schema-rfc2739
%defattr(644,root,root,755)
%{schemadir}/*.schema
%changelog
* Thu May 16 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/horde-turba.git;a=log;h=master

* Thu May 16 2013 Jan Rękorajski <baggins@pld-linux.org> 85dfc21
- rpm5 friendly noautoreq
- rel 4

* Wed May 15 2013 Jan Rękorajski <baggins@pld-linux.org> 1cbd09c
- migrated to apache 2.4

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 4c6cc02
- use php(core) as dependency to require php version
- release 1 (by relup.sh)

* Thu Mar 29 2012 Jan Rękorajski <baggins@pld-linux.org> f50cb54
- 2.3.6

* Thu Sep 30 2010 Elan Ruusamäe <glen@pld-linux.org> 98ee4ab
- autoup to 2.3.5

* Tue Sep 07 2010 Elan Ruusamäe <glen@pld-linux.org> 04d43aa
- updated to: 2.3.4

* Thu Apr 22 2010 Jan Rękorajski <baggins@pld-linux.org> 8b28124
- 2.3.3

* Wed Jun 10 2009 Elan Ruusamäe <glen@pld-linux.org> 5400258
- update to 2.3.1

* Sat Oct 25 2008 Jan Rękorajski <baggins@pld-linux.org> 82fe8cc
- rel 3
- honor 'search' settings for addressbook sources

* Sat Oct 25 2008 Jan Rękorajski <baggins@pld-linux.org> f8c4d98
- honor 'search' settings for addressbook sources

* Sat Oct 11 2008 Jakub Bogusz <qboosh@pld-linux.org> 26a8243
- no macro in Obsoletes

* Sat Oct 11 2008 Jan Rękorajski <baggins@pld-linux.org> 7aac154
- rel 2
- sanitized R/S

* Fri Oct 10 2008 Jan Rękorajski <baggins@pld-linux.org> a96ee9b
- rel 1
- added new dirs to package

* Fri Oct 10 2008 Jan Rękorajski <baggins@pld-linux.org> 588e149
- proper horde req (Horde_Form_Type_phone)

* Thu Oct 09 2008 Elan Ruusamäe <glen@pld-linux.org> a64acf6
- BR tar was due --strip-components= arg, now that's gone no need for versioned dep

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> cfe23b9
- use correct dir name in setup

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> da527a7
- just copy CREDITS where horde wants it, instead of making a symlink
  (possibly pointing to nothingnes if package is installed with --excludedocs)

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> 6816bd0
- up to 2.3
- removed unreadable tangle of macros and ugly hacks

* Sun Feb 17 2008 Elan Ruusamäe <glen@pld-linux.org> be135cb
- 2.2-RC3 (security update release)

* Wed Feb 06 2008 Elan Ruusamäe <glen@pld-linux.org> 41240b3
- update to 2.2rc2, unify macros

